summaryrefslogtreecommitdiffstats
path: root/source/l/libvncserver/libvncserver.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libvncserver/libvncserver.SlackBuild')
-rwxr-xr-xsource/l/libvncserver/libvncserver.SlackBuild28
1 files changed, 24 insertions, 4 deletions
diff --git a/source/l/libvncserver/libvncserver.SlackBuild b/source/l/libvncserver/libvncserver.SlackBuild
index b73d8e77c..87712a13f 100755
--- a/source/l/libvncserver/libvncserver.SlackBuild
+++ b/source/l/libvncserver/libvncserver.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2007 Heinz Wiesinger <hmwiesinger@gmx.at>
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,8 +25,17 @@
VERSION=0.9.7
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
NUMJOBS=${NUMJOBS:--j6}
@@ -43,13 +52,16 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf LibVNCServer-$VERSION
-tar xvf $CWD/LibVNCServer-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/LibVNCServer-$VERSION.tar.?z* || exit 1
cd LibVNCServer-$VERSION || exit 1
chown -R root:root .
find . \
@@ -84,6 +96,14 @@ cp -a \
AUTHORS COPYING* INSTALL NEWS README TODO \
$PKG/usr/doc/libvncserver-$VERSION
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc